# Class ClassicScanResult

java.lang.Object
com.codename1.bluetooth.classic.ClassicScanResult

public class ClassicScanResult extends Object

One device sighting during a classic discovery, delivered to a `ClassicDiscoveryListener`.

Instances are constructed by ports; application code never creates them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RSSI_UNKNOWN`
  `getRssi()` value when the platform did not report a signal strength.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassicScanResult(BluetoothDevice device, int rssi, int majorDeviceClass, int deviceClass)`
  Constructed by ports when a discovery sighting arrives; not application API.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BluetoothDevice`
  `getDevice()`
  The discovered device; connect via BluetoothClassic#connect(BluetoothDevice, com.codename1.bluetooth.BluetoothUuid, boolean).
  `int`
  `getDeviceClass()`
  The full device class from the Class-of-Device field.
  `int`
  `getMajorDeviceClass()`
  The major device class from the Bluetooth Class-of-Device field (computer, phone, audio, ...).
  `int`
  `getRssi()`
  The signal strength in dBm, or `RSSI_UNKNOWN`.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RSSI_UNKNOWN

    public static final int RSSI_UNKNOWN
    `getRssi()` value when the platform did not report a signal strength.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClassicScanResult

    public ClassicScanResult(BluetoothDevice device, int rssi, int majorDeviceClass, int deviceClass)
    Constructed by ports when a discovery sighting arrives; not application API.

- ## Method Details

  - ### getDevice

    public BluetoothDevice getDevice()
    The discovered device; connect via BluetoothClassic#connect(BluetoothDevice, com.codename1.bluetooth.BluetoothUuid, boolean).

  - ### getRssi

    public int getRssi()
    The signal strength in dBm, or `RSSI_UNKNOWN`.

  - ### getMajorDeviceClass

    public int getMajorDeviceClass()
    The major device class from the Bluetooth Class-of-Device field (computer, phone, audio, ...).

  - ### getDeviceClass

    public int getDeviceClass()
    The full device class from the Class-of-Device field.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`